<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/
$path_to_root="..";
$page_security = 'SA_OPEN';
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/data_checks.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/db/group_companies_db.inc");
include_once($path_to_root . "/includes/ui/ui_lists_group_companies.inc");
include_once($path_to_root . "/reporting/includes/reports_classes.inc");



$js = "";
if ($SysPrefs->use_popup_windows && $SysPrefs->use_popup_search)
	$js .= get_js_open_window(900, 500);
if (user_use_date_picker())
	$js .= get_js_date_picker();


add_js_file('reports.js');

page(_($help_context = "Reports and Analysis"), false, false, "", $js);

$reports = new BoxReports;

$dim = get_company_pref('use_dimension');

$reports->addReportClass(_('Customer'), RC_CUSTOMER);
$reports->addReport(RC_CUSTOMER, 101, _('Customer &Balance Details'),
	array(	_('Start Date') => 'DATEBEGIN',
			_('End Date') => 'DATEENDM',
			_('Customer') => 'CUSTOMERS_NO_FILTER',
//			_('Show Balance') => 'YES_NO',
			_('Currency Filter') => 'CURRENCY',
			_('Suppress Zeros') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_CUSTOMER, 102, _('&Aged Customer Analysis'),
	array(	_('End Date') => 'DATE',
			_('Customer') => 'CUSTOMERS_NO_FILTER',
			_('Currency Filter') => 'CURRENCY',
			_('Show Also Allocated') => 'YES_NO',
			_('Summary Only') => 'YES_NO',
			_('Suppress Zeros') => 'YES_NO',
			_('Graphics') => 'GRAPHIC',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_CUSTOMER, 115, _('Customer Trial Balance'),
    array(  _('Start Date') => 'DATEBEGIN',
            _('End Date') => 'DATEENDM',
            _('Customer') => 'CUSTOMERS_NO_FILTER',
            _('Sales Areas') => 'AREAS',
            _('Sales Folk') => 'SALESMEN',
            _('Currency Filter') => 'CURRENCY',
            _('Suppress Zeros') => 'YES_NO',
            _('Comments') => 'TEXTBOX',
            _('Orientation') => 'ORIENTATION',
            _('Destination') => 'DESTINATION'));

$reports->addReport(RC_CUSTOMER, 103, _('Customer &Detail Listing'),
	array(	_('Activity Since') => 'DATEBEGIN',
			_('Sales Areas') => 'AREAS',
			_('Sales Folk') => 'SALESMEN',
			_('Activity Greater Than') => 'TEXT',
			_('Activity Less Than') => 'TEXT',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_CUSTOMER, 114, _('Sales &Summary Report'),
	array(	_('Start Date') => 'DATEBEGINTAX',
			_('End Date') => 'DATEENDTAX',
			_('Tax Id Only') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_CUSTOMER, 104, _('&Price Listing'),
	array(	_('Currency Filter') => 'CURRENCY',
			_('Inventory Category') => 'CATEGORIES',
			_('Sales Types') => 'SALESTYPES',
			_('Show Pictures') => 'YES_NO',
			_('Show GP %') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_CUSTOMER, 105, _('&Order Status Listing'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Inventory Category') => 'CATEGORIES',
			_('Stock Location') => 'LOCATIONS',
			_('Back Orders Only') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_CUSTOMER, 106, _('&Salesman Listing'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Summary Only') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_CUSTOMER, 107, _('Print &Invoices'),
	array(	_('From') => 'INVOICE',
			_('To') => 'INVOICE',
			_('Orientation') => 'ORIENTATION'));
$reports->addReport(RC_CUSTOMER, 113, _('Print &Credit Notes'),
	array(	_('From') => 'CREDIT',
			_('To') => 'CREDIT',
			_('Currency Filter') => 'CURRENCY',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION'));
$reports->addReport(RC_CUSTOMER, 110, _('Print Despatch Notes'),
                array(	_('From') => 'DELIVERY',
			_('To') => 'DELIVERY',
			_('Print as Packing Slip') => 'YES_NO',
			_('Orientation') => 'ORIENTATION'));
$reports->addReport(RC_CUSTOMER, 108, _('Print &Statements'),
	array(	_('Customer') => 'CUSTOMERS_NO_FILTER',
			_('Currency Filter') => 'CURRENCY',
			_('Show Also Allocated') => 'YES_NO',
			_('Email Customers') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION'));
$reports->addReport(RC_CUSTOMER, 109, _('&Print Sales Orders'),
	array(	_('From') => 'ORDERS',
			_('To') => 'ORDERS',
			_('Comments') => 'TEXTBOX',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_CUSTOMER, 111, _('&Print Sales Quotations'),
	array(	_('From') => 'QUOTATIONS',
			_('To') => 'QUOTATIONS',
			_('Currency Filter') => 'CURRENCY',
			_('Email Customers') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION'));
$reports->addReport(RC_CUSTOMER, 112, _('Print Receipts'),
	array(	_('From') => 'RECEIPT',
			_('To') => 'RECEIPT',
			_('Currency Filter') => 'CURRENCY',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION'));

//$reports->addReport(RC_CUSTOMER, 115, _('&Aged Customer Analysis Detials'),
//	array(	_('End Date') => 'DATE',
//			_('Customer') => 'CUSTOMERS_NO_FILTER',
//			_('Currency Filter') => 'CURRENCY',
//			_('Show Also Allocated') => 'YES_NO',
////			_('Summary Only') => 'YES_NO',
////			_('Suppress Zeros') => 'YES_NO',
//			_('Graphics') => 'GRAPHIC',
//			_('Comments') => 'TEXTBOX',
//			_('Orientation') => 'ORIENTATION'));



//$reports->addReport(RC_CUSTOMER, 151, _('&Aged Customer Analysis'),
//	array(	_('End Date') => 'DATE',
//			_('Customer') => 'CUSTOMERS_NO_FILTER',
//			_('Currency Filter') => 'CURRENCY',));


$reports->addReport(RC_CUSTOMER, 150, _('&Invoice Master'),
	array(	_('From Date') => 'DATEBEGINM',
			_('To Date') => 'DATEENDM',
			_('Customer') => 'CUSTOMERS_NO_FILTER',
                        _('Department') => 'LIST_VALUES|DEPARTMENTS',
                        _('Project') => 'PROJECTS',
			_('Currency Filter') => 'CURRENCY'));

$reports->addReport(RC_CUSTOMER, 152, _('&Project Invoice Master'),
	array(	_('From Date') => 'DATEBEGINM',
			_('To Date') => 'DATEENDM',
			_('Customer') => 'CUSTOMERS_NO_FILTER',
                        _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Document Status') => 'DOCUMENT_APPROVAL_STATUSES'
			));

$reports->addReport(RC_CUSTOMER, 153, _('Customer Payments'),
	array(	_('Start Date') => 'DATEBEGIN',
			_('End Date') => 'DATEENDM',
			_('Customer') => 'CUSTOMERS_NO_FILTER',
			_('Currency Filter') => 'CURRENCY'));

$reports->addReport(RC_CUSTOMER, 154, _('Sales Order Report'),
	array(	_('Start Date') => 'DATEBEGIN',
			_('End Date') => 'DATEENDM',
			_('Customer') => 'CUSTOMERS_NO_FILTER',
                        _('Project') => 'PROJECTS',
                         _('Document Status') => 'DOCUMENT_APPROVAL_STATUSES'
					));
					
$reports->addReport(RC_CUSTOMER, 155, _('Customer Payments Return Receipts'),
	array(	_('From Transaction No') => 'TEXT',
			_('To Transaction No') => 'TEXT',
			_('Currency Filter') => 'CURRENCY',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
                        _('Destination') => 'DESTINATION'));

$reports->addReport(RC_CUSTOMER, 156, _('Department Wise Debtors Aging'),
	array(	_('End Date') => 'DATE',
			_('Customer') => 'CUSTOMERS_NO_FILTER',
                        _('Department') => 'LIST_VALUES|DEPARTMENTS',
			_('Currency Filter') => 'CURRENCY',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION'));

$reports->addReport(RC_CUSTOMER, 157, _('Customer Advance Details'),
	array(	_('Customer') => 'CUSTOMERS_NO_FILTER',
                _('Department') => 'LIST_VALUES|DEPARTMENTS',
                _('From Date') => 'DATEBEGIN',
                _('To Date') => 'DATEEND', 
                _('Destination') => 'DESTINATION'));

$reports->addReport(RC_CUSTOMER, 167, _('Customer GL Transactions'),
        array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
                        _('Customer') => 'CUSTOMERS_NO_FILTER',
			_('Type') => 'SYS_TYPES',
                        _('Comparing GL Account') => 'GL_ACCOUNTS'));

$reports->addReportClass(_('Supplier'), RC_SUPPLIER);
$reports->addReport(RC_SUPPLIER, 201, _('Supplier Ledger'),
	array(	_('Start Date') => 'DATEBEGIN',
			_('End Date') => 'DATEENDM',
			_('Supplier') => 'SUPPLIERS_NO_FILTER',
			_('Show Balance') => 'YES_NO',
			_('Currency Filter') => 'CURRENCY',
			_('Suppress Zeros') => 'YES_NO',
            _('Get Pending Allocations') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
                        _('Destination') => 'DESTINATION'));
$reports->addReport(RC_SUPPLIER, 202, _('&Aged Supplier Analyses'),
	array(	_('End Date') => 'DATE',
			_('Supplier') => 'SUPPLIERS_NO_FILTER',
			_('Currency Filter') => 'CURRENCY',
//			_('Show Also Allocated') => 'YES_NO',
			_('Summary Only') => 'YES_NO',
//			_('Suppress Zeros') => 'YES_NO',
//			_('Graphics') => 'GRAPHIC',
//			_('Comments') => 'TEXTBOX',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_SUPPLIER, 203, _('&Payment Report'),
	array(	_('End Date') => 'DATE',
			_('Supplier') => 'SUPPLIERS_NO_FILTER',
			_('Currency Filter') => 'CURRENCY',
			_('Suppress Zeros') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_SUPPLIER, 204, _('Supplier Oustanding GRN Report'),
	array(	_('Supplier') => 'SUPPLIERS_NO_FILTER',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_SUPPLIER, 205, _('Supplier &Detail Listing'),
	array(	_('Activity Since') => 'DATEBEGIN',
			_('Activity Greater Than') => 'TEXT',
			_('Activity Less Than') => 'TEXT',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_SUPPLIER, 206, _('Supplier &List Report'),
	array(	_('Destination') => 'DESTINATION'));
$reports->addReport(RC_SUPPLIER, 209, _('Print Purchase &Orders'),
	array(	_('From') => 'PO',
			_('To') => 'PO'
			));
$reports->addReport(RC_SUPPLIER, 210, _('Print Payment Voucher'),
	array(	_('Type') => 'SYS_TYPES_ALL',
            _('From') => 'TEXT',
			_('To') => 'TEXT',
			_('Orientation') => 'ORIENTATION'));


$reports->addReport(RC_SUPPLIER, 250, _('Print GRN'),
	array(_('GRN No.') => 'TEXT'));

$reports->addReport(RC_SUPPLIER, 251, _('Print Purchase Indents'),
	array(	_('From Purchase Indent No.') => 'TEXT',
		_('To Purchase Indent No.') => 'TEXT',      
                _('Supplier') => 'SUPPLIERS_NO_FILTER',
                _('New Supplier') => 'TEXTBOX',
                _('Location') => 'LOCATIONS',
                _('New Location') => 'TEXTBOX'
			));


$reports->addReport(RC_SUPPLIER, 252, _('PO-Invoice Report'),
	array(	_('Start Date') => 'DATEBEGINM',
		_('End Date') => 'DATEENDM',     
                _('Supplier') => 'SUPPLIERS_NO_FILTER',
                _('Project') => 'PROJECTS',
                _('Destination') => 'DESTINATION'
			));

$reports->addReport(RC_SUPPLIER, 253, _('PO GRN Report'),
	array(	_('Start Date') => 'DATEBEGINM',
		_('End Date') => 'DATEENDM',     
                _('Supplier') => 'SUPPLIERS_NO_FILTER',
                _('Department') => 'LIST_VALUES|DEPARTMENTS',
                _('Project') => 'PROJECTS',
                _('Destination') => 'DESTINATION'
			));

$reports->addReport(RC_SUPPLIER, 254, _('GRN Oustanding Report'),
	array(	 
            _('Department') => 'LIST_VALUES|DEPARTMENTS', 
            _('Project') => 'PROJECTS',
            _('Supplier') => 'SUPPLIERS_NO_FILTER',
            _('PO No.') => 'TEXT',
            _('Oustanding Only') => 'YES_NO',
	    _('Comments') => 'TEXTBOX'));

$reports->addReport(RC_SUPPLIER, 255, _('PO Items Detail Report'),
	array(	_('Start Date') => 'DATEBEGINM',
		_('End Date') => 'DATEENDM',     
               _('Departments') => 'LIST_VALUES|DEPARTMENTS',
                _('Supplier') => 'SUPPLIERS_NO_FILTER',
                _('Project') => 'PROJECTS'
			)
        );

$reports->addReport(RC_SUPPLIER, 256, _('Goods Received Value Report'),
	array(	_('Goods Received Date From') => 'DATEBEGINM',
		_('Goods Received Date To') => 'DATEENDM',     
               _('Departments') => 'LIST_VALUES|DEPARTMENTS',
                _('Supplier') => 'SUPPLIERS_NO_FILTER',
                _('Project') => 'PROJECTS'
			)
        );

$reports->addReport(RC_SUPPLIER, 257, _('Print Customer/Bank Transfer Payment Voucher'),
	array(	  
                _('Type') => 'SYS_TYPES_ALL',
                _('From') => 'TEXT',
		_('To') => 'TEXT',
			)        
        );

$reports->addReport(RC_SUPPLIER, 259, _('&WHT Report '),
	array(	_('Start Date') => 'DATEBEGINM',
		_('End Date') => 'DATEENDM',
		_('Supplier') => 'SUPPLIERS_NO_FILTER',                
                _('Bank Accounts') => 'BANK_ACCOUNTS',
                _('Destination') => 'DESTINATION')
        );

$reports->addReport(RC_SUPPLIER, 260, _('Supplier Invoice Oustanding Report'),
	array(	_('Supplier') => 'SUPPLIERS_NO_FILTER',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_SUPPLIER, 261, _('Material PR Issued Cost Report'),
	array(	_('Start Date') => 'DATEBEGINM',
		_('End Date') => 'DATEENDM', 
//                _('Departments') => 'LIST_VALUES|DEPARTMENTS',
                _('Project') => 'PROJECTS',
                _('Comments') => 'TEXTBOX',
		_('Orientation') => 'ORIENTATION'));

$reports->addReport(RC_SUPPLIER, 262, _('Items P&urchasing Report'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Inventory Category') => 'CATEGORIES',
			_('Location') => 'LOCATIONS',
			_('Supplier') => 'SUPPLIERS_NO_FILTER',
			_('Items') => 'ITEMS_P',
			_('Destination') => 'DESTINATION'));


$reports->addReport(RC_SUPPLIER, 267, _('Supplier GL Transactions'),
        array(	_('Start Date') => 'DATEBEGINM',
                _('End Date') => 'DATEENDM',
                _('Supplier') => 'SUPPLIERS_NO_FILTER',
                _('Type') => 'SYS_TYPES',
                _('Comparing GL Account') => 'GL_ACCOUNTS')
        );

$reports->addReport(RC_SUPPLIER, 268,  _('Purchase Requisition Details'),
	array(	   
            ('From Date') => 'DATEBEGINM',
            _('To Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Approval Status') => 'DOCUMENT_APPROVAL_STATUSES',
            _('Project') => 'PROJECTS',
            _('Item') => 'ITEMS'));


$reports->addReport(RC_SUPPLIER, 269,  _('Purchase Order Details'),
	array(	   
            ('From Date') => 'DATEBEGINM',
            _('To Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Approval Status') => 'DOCUMENT_APPROVAL_STATUSES',
            _('Project') => 'PROJECTS',
            _('Item') => 'ITEMS'));




$reports->addReportClass(_('Inventory'), RC_INVENTORY);
$reports->addReport(RC_INVENTORY,  301, _('Inventory &Valuation Report'),
	array(	_('End Date') => 'DATE',	
			_('Inventory Category') => 'CATEGORIES',
			_('Location') => 'LOCATIONS',
                        _('Item Categories') => 'LIST_VALUES|ITEM_PARAMETER_1',
                        _('Item Group') => 'LIST_VALUES|ITEM_PARAMETER_2',
			_('Summary Only') => 'YES_NO',
                        _('With Sample Items') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_INVENTORY,  368, _('Inventory &Valuation Summary Report'),
	array(	_('From Date') => 'DATE',	
                _('To Date') => 'DATE',
                _('Inventory Category') => 'CATEGORIES',
                _('Location') => 'LOCATIONS',
                _('Item Categories') => 'LIST_VALUES|ITEM_PARAMETER_1',
                _('Item Group') => 'LIST_VALUES|ITEM_PARAMETER_2',
                _('Destination') => 'DESTINATION'));

$reports->addReport(RC_INVENTORY,  302, _('Inventory &Planning Report'),
	array(	_('Inventory Category') => 'CATEGORIES',
			_('Location') => 'LOCATIONS',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_INVENTORY, 303, _('Stock &Check Sheets'),
	array(	_('Inventory Category') => 'CATEGORIES',
			_('Location') => 'LOCATIONS',
			_('Show Pictures') => 'YES_NO',
			_('Inventory Column') => 'YES_NO',
			_('Show Shortage') => 'YES_NO',
			_('Suppress Zeros') => 'YES_NO',
			_('Item Like') => 'TEXT',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_INVENTORY, 304, _('Inventory &Sales Report'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Inventory Category') => 'CATEGORIES',
			_('Location') => 'LOCATIONS',
			_('Customer') => 'CUSTOMERS_NO_FILTER',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_INVENTORY, 305, _('&GRN Valuation Report'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
//$reports->addReport(RC_INVENTORY, 306, _('Inventory P&urchasing Report'),
//	array(	_('Start Date') => 'DATEBEGINM',
//			_('End Date') => 'DATEENDM',
//			_('Inventory Category') => 'CATEGORIES',
//			_('Location') => 'LOCATIONS',
//			_('Supplier') => 'SUPPLIERS_NO_FILTER',
//			_('Items') => 'ITEMS_P',
//			_('Comments') => 'TEXTBOX',
//			_('Orientation') => 'ORIENTATION',
//			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_INVENTORY, 307, _('Inventory &Movement Report'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Inventory Category') => 'CATEGORIES',
			_('Location') => 'LOCATIONS',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));				
$reports->addReport(RC_INVENTORY, 308, _('C&osted Inventory Movement Report'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Inventory Category') => 'CATEGORIES',
			_('Location') => 'LOCATIONS',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));				
$reports->addReport(RC_INVENTORY, 309,_('Item &Sales Summary Report'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Inventory Category') => 'CATEGORIES',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));	
$reports->addReport(RC_INVENTORY, 350, _('Print Material Transfer Requisitions'),
	array(	_('From') => 'TEXT',
			_('To') => 'TEXT',
                        _('Requesting Location') => 'LOCATIONS',
                        _('Issuing Location') => 'LOCATIONS',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM'));
$reports->addReport(RC_INVENTORY, 351, _('Print Material Requisition Transfers'),
	array(	_('From') => 'TEXT',
			_('To') => 'TEXT',
                        _('Requesting Location') => 'LOCATIONS',
                        _('Issuing Location') => 'LOCATIONS',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM'));
$reports->addReport(RC_INVENTORY, 352, _('Print Location Transfers'),
	array(	_('From') => 'TEXT',
			_('To') => 'TEXT',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Comments') => 'TEXTBOX'));
$reports->addReport(RC_INVENTORY, 354, _('Print Stock Adjustments'),
	array(	_('From') => 'TEXT',
			_('To') => 'TEXT',
                        _('Inventory Reciept') => 'YES_NO',
                        _('Location') => 'LOCATIONS',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Comments') => 'TEXTBOX'));
$reports->addReport(RC_INVENTORY, 355, _('Stock C&ount Sheets'),
	array(	_('Stockcount') => 'STOCK_COUNTS',
			_('Show Pictures') => 'YES_NO',
			_('Inventory Column') => 'YES_NO',
			_('Suppress Zeros') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_INVENTORY, 356, _("Export Stock Master"),null);
$reports->addReport(RC_INVENTORY, 357, _("Export Item Sales Prices"),null);
$reports->addReport(RC_INVENTORY, 358, _("Export Item Purchasing Prices"),null);
$reports->addReport(RC_INVENTORY, 359,_('Material Issue'),
	array(_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
            _('Material Issue. No. From') => 'TEXT',
            _('Material Issue. No.  To') => 'TEXT',
            _('Destination') => 'DESTINATION'));
$reports->addReport(RC_INVENTORY, 360,_('Material Requisition'),
	array(	 _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
            _('Material Req. No. From') => 'TEXT',
            _('Material Req. No.  To') => 'TEXT',
            _('Destination') => 'DESTINATION'));
$reports->addReport(RC_INVENTORY, 361,_('Material Return Note'),
	array(	
             _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Material Return. No. From') => 'TEXT',
            _('Material Return No.  To') => 'TEXT',
            _('Destination') => 'DESTINATION'));

$reports->addReport(RC_INVENTORY, 362,_('Supplier Material Return Note'),
	array(
             _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Material Return. No. From') => 'TEXT',
            _('Material Return No.  To') => 'TEXT',
            _('Destination') => 'DESTINATION'));

$reports->addReport(RC_INVENTORY, 363,_('Inventory Stock Count Report'),
	array(_('End Date') => 'DATE',	
			_('Inventory Category') => 'CATEGORIES',
                        _('Item Category') => 'LIST_VALUES|ITEM_PARAMETER_1',
			_('Location') => 'LOCATIONS',
			_('Suppress Zeros') => 'YES_NO',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_INVENTORY, 364,_('Purchase Requisition Issue'),
	array(
             _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
            _('PR Issue. No. From') => 'TEXT',
            _('PR Issue. No.  To') => 'TEXT',
            _('Destination') => 'DESTINATION'));

$reports->addReport(RC_INVENTORY, 365,_('Item Cost Variance Checking'),
	array(
             _('Item Categories') => 'LIST_VALUES|ITEM_PARAMETER_1',
            _('Purchasing Price From') => 'TEXT',
            _('Purchasing Price To') => 'TEXT',
            _('Variance Percentage Greater Than') => 'TEXT'));

$reports->addReport(RC_INVENTORY, 366,_('Item wise MR Details'),
	array(
            _('From Date') => 'DATEBEGINM',
            _('To Date') => 'DATEENDM',
            _('Project') => 'PROJECTS',
            _('Items') => 'ITEMS_P'));

$reports->addReport(RC_INVENTORY, 367,_('Item Transactions'),
	array(  _('Item') => 'ITEMS',
                _('Project') => 'PROJECTS',
                _('Location') => 'LOCATIONS',
                _('From Date') => 'DATEBEGINM',
                _('To Date') => 'DATEENDM',
                _('Trans Type') => 'SYS_TYPES_ALL_',
                _('Movement Type') => 'MOVEMENT_TYPES',
                _('Linked Field') => 'LINKED_FIELDS',
                _('Customer') => 'CUSTOMERS_NO_FILTER',
                _('Supplier') => 'SUPPLIERS_NO_FILTER',
                _('Employee') => 'EMPLOYEE',
                _('Vehicle') => 'VEHICLE',
                _('Asset') => 'ASSET',
                _('Destination') => 'DESTINATION'));

$reports->addReport(RC_INVENTORY,  369, _('Item Last Purchase Order Price Report'),
	array(	_('Item') => 'ITEMS',
                _('Purchased on or Before') => 'DATE',
                _('Project') => 'PROJECTS',
                _('Stock Type') => 'STOCK_TYPES',
                _('Item Categories') => 'CATEGORIES',
                _('Supplier') => 'SUPPLIERS_NO_FILTER',
                _('Destination') => 'DESTINATION'));
				
$reports->addReportClass(_('Manufacturing'), RC_MANUFACTURE);
$reports->addReport(RC_MANUFACTURE, 401, _('&Bill of Material Listing'),
	array(	_('From product') => 'ITEMS',
			_('To product') => 'ITEMS',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_MANUFACTURE, 403, _('&Work Orders'),
	array(	_('From Work Order No.') => 'TEXT',
			_('To Work Order No.') => 'TEXT',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_MANUFACTURE, 404, _('&Manufacturing Raw Material Planning'),
	array(	_('Production Schedule') => 'PRODUCTION_SCHEDULE_LIST',
			_('Location') => 'LOCATIONS',
                        _('No Of Days') => 'TEXT'));

$reports->addReport(RC_MANUFACTURE, 409, _('Print &Work Orders'),
	array(	_('From Work Order No.') => 'TEXT',
			_('To Work Order No.') => 'TEXT',
			_('Orientation') => 'ORIENTATION'));

     
$reports->addReport(RC_MANUFACTURE, 410, _('Work Centre Shedule'),
	array(	
            _('Work Centre') => 'WORK_CENTRE',
            _('From Date') => 'DATEBEGINM'));

$reports->addReport(RC_MANUFACTURE, 411, _('&Work Order Item Issues'),
	array(	_('From Items Issue No.') => 'TEXT',
			_('To Item IssueNo.') => 'TEXT',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_MANUFACTURE, 412, _('&Work Orders For Production'),
	array(	_('From Work Order No.') => 'TEXT',
			_('To Work Order No.') => 'TEXT',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
    
$reports->addReport(RC_MANUFACTURE, 450, _('Print &Raw Material Issues'),
	array(	_('From') => 'MATERIAL_ISSUE',
			_('To') => 'MATERIAL_ISSUE',
                        _('Location') => 'LOCATIONS',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Comments') => 'TEXTBOX'));

$reports->addReport(RC_MANUFACTURE, 451, _('Print &Raw Material Returns'),
	array(	_('From') => 'MATERIAL_RETURN',
			_('To') => 'MATERIAL_RETURN',
                        _('Location') => 'LOCATIONS',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Comments') => 'TEXTBOX'));

$reports->addReport(RC_MANUFACTURE, 452, _('Print Manufacturing Receipts'),
	array(	_('From') => 'PRODUCTION_RECEIPT',
			_('To') => 'PRODUCTION_RECEIPT',
                        _('Location') => 'LOCATIONS',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Comments') => 'TEXTBOX'));

$reports->addReport(RC_MANUFACTURE, 453, _('Print Manufacturing Returns'),
	array(	_('From') => 'PRODUCTION_RETURN',
			_('To') => 'PRODUCTION_RETURN',
                        _('Location') => 'LOCATIONS',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Comments') => 'TEXTBOX'));

$reports->addReportClass(_('Dimensions'), RC_DIMENSIONS);
if ($dim > 0)
{
	$reports->addReport(RC_DIMENSIONS, 501, _('Dimension &Summary'),
	array(	_('From Dimension') => 'DIMENSION',
			_('To Dimension') => 'DIMENSION',
			_('Show Balance') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	//$reports->addReport(_('Dimensions'),502, _('Dimension Details'),
	//array(	_('Dimension'),'DIMENSIONS'),
	//		_('Comments'),'TEXTBOX')));
}
$reports->addReportClass(_('Banking'), RC_BANKING);
	$reports->addReport(RC_BANKING,  601, _('Bank &Statement'),
	array(	_('Bank Accounts') => 'BANK_ACCOUNTS',
			_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Zero values') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_BANKING,  602, _('Bank Reconciliation Report'),
	array(	_('Bank Accounts') => 'BANK_ACCOUNTS',
			_('Reconciled Date') => 'DATEENDM',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_BANKING,  603, _('Bank Reconciliation Summary Report'),
	array(	_('Bank Accounts') => 'BANK_ACCOUNTS',
			_('Reconciled Date') => 'DATEENDM',
			_('Destination') => 'DESTINATION'));

        
$reports->addReportClass(_('General Ledger'), RC_GL);
$reports->addReport(RC_GL, 701, _('Chart of &Accounts'),
	array(	_('Show Balances') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
$reports->addReport(RC_GL, 702, _('List of &Journal Entries'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Type') => 'SYS_TYPES',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
//$reports->addReport(RC_GL, 703, _('GL Account Group Summary'),
//	array(	_('Comments'),'TEXTBOX')));

if ($dim == 2)
{
	$reports->addReport(RC_GL, 704, _('GL Account &Transactions'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('From Account') => 'GL_ACCOUNTS',
			_('To Account') => 'GL_ACCOUNTS',
			_('Dimension')." 1" =>  'DIMENSIONS1',
			_('Dimension')." 2" =>  'DIMENSIONS2',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 705, _('Annual &Expense Breakdown'),
	array(	_('Year') => 'TRANS_YEARS',
			_('Dimension')." 1" =>  'DIMENSIONS1',
			_('Dimension')." 2" =>  'DIMENSIONS2',
			_('Account Tags') =>  'ACCOUNTTAGS',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 706, _('&Balance Sheet'),
	array(	_('Start Date') => 'DATEBEGIN',
			_('End Date') => 'DATEENDM',
			_('Dimension')." 1" => 'DIMENSIONS1',
			_('Dimension')." 2" => 'DIMENSIONS2',
			_('Account Tags') =>  'ACCOUNTTAGS',
			_('Decimal values') => 'YES_NO',
			_('Graphics') => 'GRAPHIC',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 707, _('&Profit and Loss Statement'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Compare to') => 'COMPARE',
			_('Dimension')." 1" =>  'DIMENSIONS1',
			_('Dimension')." 2" =>  'DIMENSIONS2',
			_('Account Tags') =>  'ACCOUNTTAGS',
			_('Decimal values') => 'YES_NO',
			_('Graphics') => 'GRAPHIC',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 708, _('Trial &Balance'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Zero values') => 'YES_NO',
			_('Only balances') => 'YES_NO',
			_('Dimension')." 1" =>  'DIMENSIONS1',
			_('Dimension')." 2" =>  'DIMENSIONS2',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
}
else if ($dim == 1)
{
	$reports->addReport(RC_GL, 704, _('GL Account &Transactions'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('From Account') => 'GL_ACCOUNTS',
			_('To Account') => 'GL_ACCOUNTS',
			_('Dimension') =>  'DIMENSIONS1',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 705, _('Annual &Expense Breakdown'),
	array(	_('Year') => 'TRANS_YEARS',
			_('Dimension') =>  'DIMENSIONS1',
			_('Account Tags') =>  'ACCOUNTTAGS',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 706, _('&Balance Sheet'),
	array(	_('Start Date') => 'DATEBEGIN',
			_('End Date') => 'DATEENDM',
			_('Dimension') => 'DIMENSIONS1',
			_('Account Tags') =>  'ACCOUNTTAGS',
			_('Decimal values') => 'YES_NO',
			_('Graphics') => 'GRAPHIC',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 707, _('&Profit and Loss Statement'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Compare to') => 'COMPARE',
			_('Dimension') => 'DIMENSIONS1',
			_('Account Tags') =>  'ACCOUNTTAGS',
			_('Decimal values') => 'YES_NO',
			_('Graphics') => 'GRAPHIC',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 708, _('Trial &Balance'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Zero values') => 'YES_NO',
			_('Only balances') => 'YES_NO',
			_('Dimension') => 'DIMENSIONS1',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
}
else
{
	$reports->addReport(RC_GL, 704, _('GL Account &Transactions'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('From Account') => 'GL_ACCOUNTS',
			_('To Account') => 'GL_ACCOUNTS',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 705, _('Annual &Expense Breakdown'),
	array(	_('Year') => 'TRANS_YEARS',
			_('Account Tags') =>  'ACCOUNTTAGS',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 706, _('&Balance Sheet'),
	array(	_('Start Date') => 'DATEBEGIN',
			_('End Date') => 'DATEENDM',
			_('Account Tags') =>  'ACCOUNTTAGS',
			_('Decimal values') => 'YES_NO',
			_('Graphics') => 'GRAPHIC',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 707, _('&Profit and Loss Statement'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Compare to') => 'COMPARE',
			_('Account Tags') =>  'ACCOUNTTAGS',
			_('Decimal values') => 'YES_NO',
			_('Graphics') => 'GRAPHIC',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
	$reports->addReport(RC_GL, 708, _('Trial &Balance'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Zero values') => 'YES_NO',
			_('Only balances') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
}
$reports->addReport(RC_GL, 709, _('Ta&x Report'),
	array(	_('Start Date') => 'DATEBEGINTAX',
			_('End Date') => 'DATEENDTAX',
			_('Summary Only') => 'YES_NO',
			_('Comments') => 'TEXTBOX',
			//_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_GL, 981, _('No&n Tax Report'),
	array(	_('Start Date') => 'DATEBEGINTAX',
                _('End Date') => 'DATEENDTAX',
                _('Type') => 'SYS_TYPES_ALL_',
                _('Destination') => 'DESTINATION'));

$reports->addReport(RC_GL, 710, _('Audit Trail'),
	array(	_('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Type') => 'SYS_TYPES_ALL',
			_('User') => 'USERS',
			_('Comments') => 'TEXTBOX',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

//$reports->addReport(RC_GL, 750, _('Cash & Cheque Requiation Form'),
//	array(	
//            _('Start Date') => 'DATEBEGINM',
//            _('End Date') => 'DATEENDM',
//            _('From IOU No.') => 'TEXT',
//			_('To From IOU No.') => 'TEXT',
//			_('Orientation') => 'ORIENTATION',
//			_('Destination') => 'DESTINATION'));

//$reports->addReport(RC_GL, 753, _('IOU/Petty Cash Aging Report'),
//	array(	_('Department') => 'LIST_VALUES|DEPARTMENTS',
//            _('IOU/Petty Cash') => 'LIST_VALUES|PETTY_CASH_TYPES',
//            _('Company') => 'GROUP_COMPANY_LIST',
//            _('Employee') => 'TEXT',
//            _('From Date') => 'DATEBEGINM',
//            _('To Date')=> 'DATEENDM',
//            _('Destination') => 'DESTINATION'));

//$reports->addReport(RC_GL, 754, _('IOU/Petty Summary Report'),
//	array(	_('Department') => 'LIST_VALUES|DEPARTMENTS',
//            _('IOU/Petty Cash') => 'LIST_VALUES|PETTY_CASH_TYPES',
//            _('Company') => 'GROUP_COMPANY_LIST',
//            _('Employee') => 'TEXT',
//            _('From Date') => 'DATEBEGINM',
//            _('To Date')=> 'DATEENDM',
//            _('Destination') => 'DESTINATION'));

$reports->addReport(RC_GL, 755, _('Print Cheque'),
	array(	_('Type') => 'CHEQUE_PRINT_TRANS_TYPES',
            _('Payment No.') => 'TEXT',
            _('Crossing') => 'LIST_VALUES|CHEQUE_CROSSINGS',
            _('Account Name') => 'TEXTBOX',
            _('Cheque Date') => 'DATE',
            _('Cheque Number') => 'TEXT'));

$reports->addReport(RC_GL, 756, _('Cheque Payments Report'),
	array(	_('Cheque Date From Date') => 'DATEBEGINM',
            	_('Cheque Date To') => 'DATEENDM',
                _('Transaction Type') => 'SYS_TYPES_ALL_',
                _('Bank Account') => 'BANK_ACCOUNTS',
                _('Cheque No') => 'TEXT',
                _('Crossing') => 'LIST_VALUES|CHEQUE_CROSSINGS'
                )
         );

$reports->addReport(RC_GL, 757, _('Cheque Payments Detail Report'),
	array(	_('Cheque Date From Date') => 'DATEBEGINM',
            	_('Cheque Date To') => 'DATEENDM',
                _('Transaction Type') => 'SYS_TYPES_ALL_',
                _('Bank Account') => 'BANK_ACCOUNTS',
                _('Cheque No') => 'TEXT',
                _('Crossing') => 'LIST_VALUES|CHEQUE_CROSSINGS'
                )
         );



$reports->addReport(RC_GL, 758, _('Payments Detail Report'),
	array(	_('From Date') => 'DATEBEGINM',
            	_('Date To') => 'DATEENDM',
                _('Transaction Type') => 'SYS_TYPES_ALL_',
                _('Bank Account') => 'BANK_ACCOUNTS'
                )
         );

if(isset($_POST['PARAM_2']) && $_POST['PARAM_2'] > 0){
            $_POST['PROJECTS_PAGE_REFRESH'] = $_POST['PARAM_2'];
        }
        else{
            $_POST['PROJECTS_PAGE_REFRESH'] = -1;
        }
        
        if(isset($_POST['PARAM_3']) && $_POST['PARAM_3'] > 0){
            $_POST['BUDGET_LIST'] = $_POST['PARAM_3'];
        }
        else{
            $_POST['BUDGET_LIST'] = 0;
        }
        if(isset($_POST['PARAM_3']) && $_POST['PARAM_3'] < 0){
            $_POST['BOQ_ITEM_GROUPS'] = $_POST['PARAM_3'];
        }
        else{
            $_POST['BOQ_ITEM_GROUPS'] = 0;
        }
$reports->addReport(RC_GL, 759, _('Utility Bill Detail Report'),
	array(	_('Start Date') => 'DATEBEGINM',
		_('End Date') => 'DATEENDM',
                _('Project') => 'PROJECTS_PAGE_REFRESH',
                _('BOQ Item Groups') => 'BOQ_ITEM_GROUPS',
                _('Budgets') => 'BUDGET_LIST',
                _('Supplier') => 'SUPPLIERS_NO_FILTER',
		_('Orientation') => 'ORIENTATION'));

$reports->addReport(RC_GL, 760, _('GL Atransactions Log'),
        array(	_('Transactions From') => 'DATEBEGIN',
                        _('Transactions To') => 'DATEEND',
                        _('Account') => 'GL_ACCOUNTS', 
                        _('Created Date From') => 'DATEEND',
			_('Destination') => 'DESTINATION'));


$reports->addReportClass(_('Loyalty'), RC_LOYALTY);
{
//	$reports->addReport(RC_LOYALTY, 801, _('Loyalty'),
//	array(	_('From Dimension') => 'DIMENSION',
//			_('To Dimension') => 'DIMENSION',
//			_('Show Balance') => 'YES_NO',
//			_('Comments') => 'TEXTBOX',
//			_('Orientation') => 'ORIENTATION',
//			_('Destination') => 'DESTINATION'));
	//$reports->addReport(_('Dimensions'),502, _('Dimension Details'),
	//array(	_('Dimension'),'DIMENSIONS'),
	//		_('Comments'),'TEXTBOX')));
}


$reports->addReportClass(_('Payroll'), RC_PAYROLL);
{
	$reports->addReport(RC_PAYROLL, 950, _('Print Payslips'),
	array(	_('Payroll Run') => 'APPROVED_PAYROLL_RUN',
			_('From Employee') => 'EMPLOYEE',
            _('To Employee') => 'EMPLOYEE',
            _('Valid Salaries') => 'YES_NO',
            _('Released Salaries') => 'YES_NO',
            _('Hold Salaries') => 'YES_NO',));
        
    $reports->addReport(RC_PAYROLL, 951, _('Print Bank Instruction Letters'),
	array(	_('Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('Bank Accounts') => 'BANK_ACCOUNTS',
            _('Group Salary') => 'LIST_VALUES|SALARY_GROUPS',
            _('Banking Salary') => 'PAYROLL_SALARY_COMPONENTS',
            _('Incentive Salary') => 'PAYROLL_SALARY_COMPONENTS',
            _('Valid Salaries') => 'YES_NO',
            _('Released Salaries') => 'YES_NO',
            _('Hold Salaries') => 'YES_NO',
            )
      );
        
    $reports->addReport(RC_PAYROLL, 952, _('Print EPF C-Form'),
	array(	_('Employee') => 'EMPLOYEE',
            _('Valid Salaries') => 'YES_NO',
            _('Released Salaries') => 'YES_NO',
            _('Hold Salaries') => 'YES_NO',
            _('Payroll Run') => 'APPROVED_PAYROLL_RUN',
             _('Destination') => 'DESTINATION'));
        
    $reports->addReport(RC_PAYROLL, 953, _('Print ETF Form R4'),
	array(	_('Employee') => 'EMPLOYEE',
            _('Valid Salaries') => 'YES_NO',
            _('Released Salaries') => 'YES_NO',
            _('Hold Salaries') => 'YES_NO',
            _('Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('Destination') => 'DESTINATION'));
        
    $reports->addReport(RC_PAYROLL, 954, _('Print Salary Components'),
	array(	_('Date') => 'DATEBEGINM',
            _('From Employee') => 'EMPLOYEE',
            _('To Employee') => 'EMPLOYEE',
            _('Future Components') => 'YES_NO',
            _('Expired Components') => 'YES_NO',
            _('Destination') => 'DESTINATION'));
    
    $reports->addReport(RC_PAYROLL, 956, _("Addition List"),
	array(	_('Date of Join') => 'DATEBEGINM',
            _('Destination') => 'DESTINATION', ));
    
    $reports->addReport(RC_PAYROLL, 957, _("Employees Months Completed"),
	array(	_('Date of Join') => 'DATEBEGINM',
            _('Months') =>'TEXT',
            _('Destination') => 'DESTINATION', ));
         
    $reports->addReport(RC_PAYROLL, 958, _("Employee Leaves"),
	array(	_('From') => 'DATEBEGINM',
			_('To') => 'DATEBEGINM',
			_('Employee') => 'EMPLOYEE',
            _('Leave Type') => 'LEAVE_TYPES',
            _('Status Code') => 'LIST_VALUES|ATTENDANCE_STATUS',
            _('Nopay Only') => 'YES_NO',
            _('Destination') => 'DESTINATION'));  
         
    $reports->addReport(RC_PAYROLL, 959, _("OT Report"),
	array(	_('Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('Employee') => 'EMPLOYEE',
            _('Shifts') => 'SHIFTS',
            _('OT Table') => 'LIST_VALUES|VALUE_TABLES',
            _('Status Code') => 'LIST_VALUES|ATTENDANCE_STATUS',
            _('Destination') => 'DESTINATION' )); 
         
    $reports->addReport(RC_PAYROLL, 960, _("Head Count Report"),
	array(	_('Departments') => 'LIST_VALUES|DEPARTMENTS',
            _('Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('Destination') => 'DESTINATION' ));
    
     $reports->addReport(RC_PAYROLL, 961, _("Salary Advance"),
	array(	_('Employee') => 'EMPLOYEE',
            _('Salary Advance Type') => 'LIST_VALUES|SALARY_ADVANCES',
            _('From Date') => 'DATEBEGINM',
            _('Status Code') => 'LIST_VALUES|ATTENDANCE_STATUS',
            _('Destination') => 'DESTINATION' )); 
        
     $reports->addReport(RC_PAYROLL, 962, _("Special Allowance"),
	array(  _('Employee') => 'EMPLOYEE',
            _('Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('Salary Componant') => 'PAYROLL_SALARY_COMPONENTS',
            _('Destination') => 'DESTINATION' )); 
     
     $reports->addReport(RC_PAYROLL, 963, _("Loan"),
	array(  _('Employee') => 'EMPLOYEE',
            _('Loan Completed') => 'YES_NO',
            _('Destination') => 'DESTINATION' ));
     
     
      $reports->addReport(RC_PAYROLL, 964, _("Employee Details"),
	array(  _('Current Employees') => 'YES_NO',
                _('Resigned Employees') => 'YES_NO',
                _('Gender') => 'LIST_VALUES|GENDER',
                 _('Marital Status') => 'LIST_VALUES|MARITAL_STATUS'
                 ));
      
      $reports->addReport(RC_PAYROLL, 968, _("Salary Sheet"),
	array(	_('Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('From Employee') => 'EMPLOYEE',
            _('To Employee') => 'EMPLOYEE',
            _('Valid Salaries') => 'YES_NO',
            _('Released Salaries') => 'YES_NO',
            _('Hold Salaries') => 'YES_NO'));
      
      $reports->addReport(RC_PAYROLL, 966, _('Print Casual Payslips'),
	array(	_('Payroll Run') => 'APPROVED_PAYROLL_RUN',
			_('From Employee') => 'EMPLOYEE',
            _('To Employee') => 'EMPLOYEE',
            _('Valid Salaries') => 'YES_NO',
            _('Released Salaries') => 'YES_NO',
            _('Hold Salaries') => 'YES_NO'));
      
      $reports->addReport(RC_PAYROLL, 967, _("Birthday List"),
	array(	_('Month') => 'MONTH_NAMES_LIST',
            _('Destination') => 'DESTINATION' ));
      
      
      
//$reports->addReport(RC_PAYROLL, 968, _("Gratuity List"),
//	array(	_('Resign Employees Only') => 'YES_NO',
//            _('Destination') => 'DESTINATION' ));
//      
$reports->addReport(RC_PAYROLL, 969, _("ETF & EPF Details"),
	array(	_('Employee') => 'EMPLOYEE',
            _('Departments') => 'LIST_VALUES|DEPARTMENTS',
            _('From Date') => 'DATEBEGINM',
            _('To')=> 'DATEENDM',
            _('Destination') => 'DESTINATION' )); 

$reports->addReport(RC_PAYROLL, 970, _("Late Report"),
	array(	_('Employee') => 'EMPLOYEE',
            _('From Date') => 'DATEBEGINM',
            _('To')=> 'DATEENDM',
            _('Destination') => 'DESTINATION' )); 


$reports->addReport(RC_PAYROLL, 971, _('Salary Denominations Report'),
	array(	_('Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('From Employee') => 'EMPLOYEE',
            _('To Employee') => 'EMPLOYEE',
            _('Basic Salary') => 'PAYROLL_SALARY_COMPONENTS',
            _('Insentive Salary') => 'PAYROLL_SALARY_COMPONENTS',
            _('Valid Salaries') => 'YES_NO',
            _('Released Salaries') => 'YES_NO',
            _('Hold Salaries') => 'YES_NO',            
            _('Destination') => 'DESTINATION' 
            )     
            );

$reports->addReport(RC_PAYROLL, 972, _('Banking and Cash Salaries Report'),
	array(	_('Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('From Employee') => 'EMPLOYEE',
            _('To Employee') => 'EMPLOYEE',
            _('Basic salary') => 'PAYROLL_SALARY_COMPONENTS',
            _('Incentive salary') => 'PAYROLL_SALARY_COMPONENTS',
            _('Valid Salaries') => 'YES_NO',
            _('Released Salaries') => 'YES_NO',
            _('Hold Salaries') => 'YES_NO',            
            _('Destination') => 'DESTINATION' 
            )     
            );

$reports->addReport(RC_MANUFACTURE, 402, _('&Work Order Cost Details'),
	array(	_('From Work Order No.') => 'TEXT',
			_('To Work Order No.') => 'TEXT',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));



$reports->addReport(RC_PAYROLL, 975, _('&Department Salary Expenses'),
	array(	_('Payroll Run') => 'APPROVED_PAYROLL_RUN',
             _('Departments') => 'LIST_VALUES|DEPARTMENTS',
            _('Destination') => 'DESTINATION'));


 $reports->addReport(RC_PAYROLL, 976, _("Signature Sheet"),
	array(	_('Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('From Employee') => 'EMPLOYEE',
            _('To Employee') => 'EMPLOYEE',
            _('Valid Salaries') => 'YES_NO',
            _('Released Salaries') => 'YES_NO',
            _('Hold Salaries') => 'YES_NO'));
 
 $reports->addReport(RC_PAYROLL, 977, _("ETF 6 Months Report"),
	array(	_('From Payroll Run') => 'APPROVED_PAYROLL_RUN',
            _('Total Earnings') => 'PAYROLL_SALARY_COMPONENTS',
            _('Total Contributions') => 'PAYROLL_SALARY_COMPONENTS',
            _('Destination') => 'DESTINATION'
          
           
     ));
 
   $reports->addReport(RC_PAYROLL, 978, _("Leavers"),
	array(  _('From') => 'DATEBEGINM',
                _('To') => 'DATEENDM',
                _('Destination') => 'DESTINATION'
                 ));
   
   $reports->addReport(RC_PAYROLL, 979, _("Leave Summary Report"),
	array(	_('From') => 'DATEBEGINM',
			_('To') => 'DATEBEGINM',
			_('Employee') => 'EMPLOYEE',
            _('Destination') => 'DESTINATION'));  
   
   $reports->addReport(RC_PAYROLL, 980, _("Contract Renewal Report"),
	array(	_('Departments') => 'LIST_VALUES|DEPARTMENTS',
                _('Employment Type') => 'LIST_VALUES|EMPLOYEE_TYPE',
                _('Contract End Date From') => 'DATEBEGINM',
		_('Contract End Months') =>'TEXT',
                _('Destination') => 'DESTINATION'));  
}

$reports->addReportClass(_('Projects'), RC_PROJECTS);
{
	$reports->addReport(RC_PROJECTS, 991050, _('Print Project Invoices'),
	array(	_('Project Invoice No.') => 'TEXT',
                _('Destination') => 'DESTINATION'));;
        
        $reports->addReport(RC_PROJECTS, 991051, _('Print Project Credit Notes'),
	array(	_('From Credit Note No.') => 'TEXT',
			_('To Credit Note No.') => 'TEXT',
			_('Destination') => 'DESTINATION'));
        
        $reports->addReport(RC_PROJECTS, 991052, _('Print Project Master'),
	array(	
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS',
            _('Customer') => 'CUSTOMERS_NO_FILTER'));
        
        
           $reports->addReport(RC_PROJECTS, 991054, _('Project Cost Report'),
	array(	 
         
            _('Project') => 'PROJECTS',
             _('Destination') => 'DESTINATION'));
           
           
           
             $reports->addReport(RC_PROJECTS, 991055, _('Material Usage Report'),
	array(	   
             _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',  
            _('Project') => 'PROJECTS',
            _('Destination') => 'DESTINATION'));
             
     
            $reports->addReport(RC_PROJECTS, 991057, _('Petty Cash/IOU Usage Report'),
	array(	     
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Project') => 'PROJECTS',
             _('Destination') => 'DESTINATION'));
            
             $reports->addReport(RC_PROJECTS, 991058, _('Project Profitability Report'),
	array(
             
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS'));
             
         $reports->addReport(RC_PROJECTS, 991059, _('Payment Application'),
	array(	            
            _('Payment Application No.') => 'TEXT',
             _('Destination') => 'DESTINATION'));   
         
           $reports->addReport(RC_PROJECTS, 991060, _('Transport Cost Allocation Report'),
	array(	       
             _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Project') => 'PROJECTS',
             _('Destination') => 'DESTINATION'));
           
        $reports->addReport(RC_PROJECTS, 991061, _('Material Allocation Report'),
	array(	   
             _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Project') => 'PROJECTS',
             _('Destination') => 'DESTINATION'));
        
             $reports->addReport(RC_PROJECTS, 991062, _('Project Cost Summary Report'),
	array(	   
            ('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS',
            _('Customer') => 'CUSTOMERS_NO_FILTER'));
             
       $reports->addReport(RC_PROJECTS, 991063, _('Project Subpayment Summary Report'),
	array(	   
            ('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS',
            _('Supplier') => 'SUPPLIERS_NO_FILTER'));
       
        $reports->addReport(RC_PROJECTS, 991064, _('PR List Report'),
	array(	   
            ('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS'));
        
         $reports->addReport(RC_PROJECTS, 991065, _('Project Transport Cost Summery Report'),
	array(	 
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS'));
         
        if(isset($_POST['PARAM_2']) && $_POST['PARAM_2'] > 0){
            $_POST['PROJECTS_PAGE_REFRESH'] = $_POST['PARAM_2'];
        }
        else{
            $_POST['PROJECTS_PAGE_REFRESH'] = -1;
        }
        
        if(isset($_POST['PARAM_3']) && $_POST['PARAM_3'] > 0){
            $_POST['BUDGET_LIST'] = $_POST['PARAM_3'];
        }
        else{
            $_POST['BUDGET_LIST'] = 0;
        }
        if(isset($_POST['PARAM_3']) && $_POST['PARAM_3'] < 0){
            $_POST['BOQ_ITEM_GROUPS'] = $_POST['PARAM_3'];
        }
        else{
            $_POST['BOQ_ITEM_GROUPS'] = 0;
        }
         $reports->addReport(RC_PROJECTS, 991067, _('Budget wise cost Usage Report'),
	array(	   
             _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM', 
            _('Project') => 'PROJECTS_PAGE_REFRESH',
            _('BOQ Item Groups') => 'BOQ_ITEM_GROUPS',
            _('Budgets') => 'BUDGET_LIST',
            ));
         
        $reports->addReport(RC_PROJECTS, 991068, _('Expenses Detail Report'),
	array(
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS',
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Destination') => 'DESTINATION'));

	$reports->addReport(RC_PROJECTS, 991069, _('Petty Cash/IOU List Report'),
	array(	     
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS',
            _('Float Name') => 'FLOATS',
            _('Document Status') => 'DOCUMENT_APPROVAL_STATUSES'));
			
	$reports->addReport(RC_PROJECTS, 991070, _('Project Profit and Loss Detail Report'),		
	array(		
            _('Department') => 'LIST_VALUES|DEPARTMENTS',		
            _('Project') => 'PROJECTS',		
            _('Destination') => 'DESTINATION'));
        
        $reports->addReport(RC_PROJECTS, 991071, _('Project Employee Work Report'),		
	array(	            
            _('Company(SAW/SAWC/VEE/VEEC/LPS)') => 'TEXT', 
            _('Start Date') => 'DATEBEGINM'));
        
        $reports->addReport(RC_PROJECTS, 991072, _('Project Material BOQ Report'),
	array(	          
            _('Project') => 'PROJECTS',
            _('Destination') => 'DESTINATION'));
        
        $reports->addReport(RC_PROJECTS, 991073, _('Projects List'),
	array(	
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS',
            _('Customer') => 'CUSTOMERS_NO_FILTER',
            _('Project Manager') => 'USERS',
            _('Project Status') => 'LIST_VALUES|PROJECT_STATUS',
            _('Project Start Date From') => 'DATEBEGIN',
            _('Project Start Date To') => 'DATEEND',
            _('Project End Date From') => 'DATEBEGIN',
            _('Project End Date To') => 'DATEEND',
           ));
        $reports->addReport(RC_PROJECTS, 991074, _('Project Collection summary'),
	array(	
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS',
            _('Customer') => 'CUSTOMERS_NO_FILTER'));
        $reports->addReport(RC_PROJECTS, 991075, _('Project Budget Category details'),
	array(	
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Project') => 'PROJECTS',
            _('Budgets Category') => 'LIST_VALUES|PROJECT_TASK_DETAIL_TYPE_CATEGORIES',
            _('Orientation') => 'ORIENTATION'));
        $reports->addReport(RC_PROJECTS, 991076, _('PR Cost Allocations details'),
	array(	
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('Project') => 'PROJECTS',
            _('Orientation') => 'ORIENTATION'));
        
        $reports->addReport(RC_PROJECTS, 991077, _('Print Subcontractor Invoices'),
	array(	_('Subcontractor Invoice No.') => 'TEXT',
                _('Destination') => 'DESTINATION'));
        
        $reports->addReport(RC_PROJECTS, 991078, _('Subcontractor Retention Details'),
	array(	_('Supplier') => 'SUPPLIERS_NO_FILTER',
                _('Project') => 'PROJECTS',
                _('From Date') => 'DATEBEGIN',
                _('To Date') => 'DATEEND', 
                _('Destination') => 'DESTINATION'));
}


//$reports->addReportClass(_('Finance Management'), RC_FINANCE);
//{
//	$reports->addReport(RC_FINANCE, 991250, _('Company Loans'),
//	array(	_('From Invoice No.') => 'TEXT',
//			_('To Invoice No.') => 'TEXT',
//			_('Destination') => 'DESTINATION'));
//	//$reports->addReport(_('Dimensions'),502, _('Dimension Details'),
//	//array(	_('Dimension'),'DIMENSIONS'),
//	//		_('Comments'),'TEXTBOX')));
//}
if(isset($_POST['PARAM_0']) && $_POST['PARAM_0'] > 0){
            $_POST['ASSET_TYPES'] = $_POST['PARAM_0'];
        }
        else{
            $_POST['ASSET_TYPES'] = 0;
        }
        if(isset($_POST['PARAM_1']) && $_POST['PARAM_1'] < 0){
            $_POST['ASSET_GROUPS'] = $_POST['PARAM_1'];
        }
        else{
            $_POST['ASSET_GROUPS'] = 0;
        }

$reports->addReportClass(_('Transport'), RC_TRANSPORT);
{
        
        $reports->addReport(RC_TRANSPORT, 991151, _('Vehicle Allocation Sheet'),
	array(	_('From Date.') => 'DATEBEGINM',
			_('To Date.') => 'DATEENDM',
                        _('Vehicle') => 'VEHICLE',
			_('Destination') => 'DESTINATION'));
        
        $reports->addReport(RC_TRANSPORT, 991152, _('Vehicle Running Chart'),
	array(	_('From Date.') => 'DATEBEGINM',
			_('To Date.') => 'DATEENDM',
                        _('Vehicle') => 'VEHICLE',
			_('Destination') => 'DESTINATION'));
        
         $reports->addReport(RC_TRANSPORT, 991153, _('Vehicle Requests'),
	array(	_('Request Created From Date.') => 'DATEBEGINM',
			_('Request Created To Date.') => 'DATEENDM',
                        _('Department') => 'LIST_VALUES|DEPARTMENTS',
                        _('Vehicle') => 'VEHICLE',
			_('Destination') => 'DESTINATION'));
         
         
         
          $reports->addReport(RC_TRANSPORT, 991154, _('Vehicle Running Chart Details'),
	array(	_('From Date.') => 'DATEBEGINM',
			_('To Date.') => 'DATEENDM',
                        _('Department') => 'LIST_VALUES|DEPARTMENTS',
			_('Destination') => 'DESTINATION',
                        _('Project') => 'PROJECTS'));
          
           $reports->addReport(RC_TRANSPORT, 991155, _('Daily Vehicle Requests'),
	array(	_('Date.') => 'DATEBEGINM',
                        _('Department') => 'LIST_VALUES|DEPARTMENTS',
                        _('Vehicle') => 'VEHICLE',
			_('Destination') => 'DESTINATION'));
        
	//$reports->addReport(_('Dimensions'),502, _('Dimension Details'),
	//array(	_('Dimension'),'DIMENSIONS'),
	//		_('Comments'),'TEXTBOX')));
}

$reports->addReportClass(_('Petty Cash'), RC_PETTY_CASH);
{
   
//	$reports->addReport(RC_PETTY_CASH, 991250, _('Petty Cash Requests'),//991050
//	array(	_('From Invoice No.') => 'TEXT',
//			_('To Invoice No.') => 'TEXT',
//			_('Destination') => 'DESTINATION'));
        
    $reports->addReport(RC_PETTY_CASH, 991251, _('IOU/Petty Cash Details Report'),//753
	array(	 _('Employee') => 'EMPLOYEE',            
            _('From Date') => 'DATEBEGINM',
            _('To Date')=> 'DATEENDM',
            _('IOU Numbers (Separated by commas)')=> 'TEXTBOX',
            _('Petty Cash Numbers (Separated by commas)')=> 'TEXTBOX',
            _('Batch Numbers (Separated by commas)')=> 'TEXTBOX',
            _('Destination') => 'DESTINATION')); 

    $reports->addReport(RC_PETTY_CASH, 991252, _('IOU/Petty Cash Summary Report'),
	array(	 _('Employee') => 'EMPLOYEE',            
            _('From Date') => 'DATEBEGINM',
            _('To Date')=> 'DATEENDM',
            _('Float') => 'FLOATS', 
            _('Project') => 'PROJECTS',
            _('Display Completed Batches') => 'YES_NO', 
            _('Destination') => 'DESTINATION'));   
    
     $reports->addReport(RC_PETTY_CASH, 991253, _('Cash & Cheque Requiation Form'),
	array(	
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('From IOU No.') => 'TEXT',
			_('To From IOU No.') => 'TEXT',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
     
     $reports->addReport(RC_PETTY_CASH, 991254, _('Daily Site Expences'),
	array(  _('Employee') => 'EMPLOYEE',        
                _('From Date') => 'DATEBEGINM',
                _('To Date')=> 'DATEENDM',
                _('Float') => 'FLOATS', 
                _('Project') => 'PROJECTS',  
                _('From IOU/Petty Cash No.') => 'TEXT',
                _('To IOU/Petty Cash No.') => 'TEXT',
                _('Orientation') => 'ORIENTATION',
                _('Destination') => 'DESTINATION'));
     
       $reports->addReport(RC_PETTY_CASH, 991255, _('IOU Payments Print'),
	array(	_('Start Date') => 'DATEBEGINM',
                _('End Date') => 'DATEENDM',
                _('Project') => 'PROJECTS',
                _('From IOU/Petty Cash Payment No.') => 'TEXT',
                _('To IOU/Petty Cash Payment No.') => 'TEXT',
                _('Orientation') => 'ORIENTATION',
                _('Destination') => 'DESTINATION'));
       
        $reports->addReport(RC_PETTY_CASH, 991256, _('Direct Cash Payments Print'),
	array(	
            _('Start Date') => 'DATEBEGINM',
            _('End Date') => 'DATEENDM',
            _('From IOU/Petty Cash Payment No.') => 'TEXT',
			_('To IOU/Petty Cash Payment No.') => 'TEXT',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
        
        $reports->addReport(RC_PETTY_CASH, 991257, _('IOU/Petty Cash Float Usage Report'),
	array(	
             _('Float Name') => 'FLOATS',
             _('Employee') => 'TEXT',            
            _('Employee Company') => 'GROUP_COMPANIES',   
            _('IOU/Petty Cash') => 'LIST_VALUES|PETTY_CASH_TYPES',           
            _('From Date') => 'DATEBEGINM',
            _('To Date')=> 'DATEENDM',
            _('Destination') => 'DESTINATION')); 
        
        $reports->addReport(RC_PETTY_CASH, 991258,_('Float Reimbursement Print'),
	array(	 _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
            _('Float Reimbursement No. From') => 'TEXT',
            _('Float Reimbursement No.  To') => 'TEXT',
            _('Destination') => 'DESTINATION'));
        
        
        if(isset($_POST['PARAM_2']) && strlen($_POST['PARAM_2']) > 2){
            $_POST['COMPANY_CODE_PAGE_REFRESH'] = $_POST['PARAM_2'];
        }
        $reports->addReport(RC_PETTY_CASH, 991260, _('IOU/Petty Cash Payment Report'),
	array(	_('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Float') => 'FLOATS',                    
            _('Company(SAW/SAWC/VEE/VEEC/LPS)') => 'GROUP_COMPANIES', 
            _('Employee') => 'GROUP_COMPANY_EMPLOYEES',    
            _('From Payment Date') => 'DATEBEGINM',
            _('To Payment Date')=> 'DATEENDM'));  
        
        $reports->addReport(RC_PETTY_CASH, 991261, _('IOU/Petty Cash Details Report'),
	array(	_('Department') => 'LIST_VALUES|DEPARTMENTS',
            _('Employee') => 'TEXT',            
            _('Employee Company') => 'GROUP_COMPANIES',           
            _('IOU/Petty Cash') => 'LIST_VALUES|PETTY_CASH_TYPES',
            _('From Date') => 'DATEBEGINM',
            _('To Date')=> 'DATEENDM',
            _('Destination') => 'DESTINATION')); 
        
        $reports->addReport(RC_PETTY_CASH, 991262, _('I Owe You Expense Details Report'),
        array(	_('Employee') => 'EMPLOYEE',            
                _('Project') => 'PROJECTS',
                _('IOU Numbers')=> 'TEXTBOX',
                _('Petty Cash Numbers')=> 'TEXTBOX',
                _('Batch Numbers')=> 'TEXTBOX',
                _('From Date') => 'DATEBEGINM',
                _('To Date')=> 'DATEENDM',
                _('Expense Category') => 'EXPENSE_CATEGORIES',
                _('Item') => 'ITEMS',
                _('Vehicle') => 'VEHICLE',
                _('Utility Item') => 'LIST_VALUES|UTILITY_ITEMS',
                _('Expense Type') => 'LIST_VALUES|PETTY_CASH_EXPENSE_TYPES',
                _('Destination') => 'DESTINATION')); 
            
        $reports->addReport(RC_PETTY_CASH, 991263, _('Employee Petty Cash Outstanding Report'),
        array(	_('Employee') => 'EMPLOYEE',            
                _('From Date') => 'DATEBEGINM',
                _('To Date')=> 'DATEENDM',
                _('Float') => 'FLOATS', 
                _('Project') => 'PROJECTS',
                _('Display Completed Batches') => 'YES_NO'));   
    
}

$reports->addReportClass(_('Finance'), RC_FINANCE);
{
	$reports->addReport(RC_FINANCE, 991350, _('Company Loans'),//991250
	array(	_('From Date') => 'DATEBEGINM',
		_('To Date') => 'DATEENDM',
                _('Company Loan Types') => 'LIST_VALUES|COMPANY_LOAN_TYPES',
                _('Credit Facility') => 'CREDIT_FACILITITES',
                _('Bank Account') => 'BANK_ACCOUNTS',
                _('Completed') => 'YES_NO',
		_('Destination') => 'DESTINATION'));
        
        $reports->addReport(RC_FINANCE, 991351, _('Bonds'),//991250
	array(	_('From Date') => 'DATEBEGINM',
		_('To Date') => 'DATEENDM',
                _('Project') => 'PROJECTS',
                _('Bank') => 'LIST_VALUES|BANKS'));
        
         $reports->addReport(RC_FINANCE, 991352, _('Fixed Deposits'),//991250
	array(	_('From Date') => 'DATEBEGINM',
		_('To Date') => 'DATEENDM',
                _('Bank') => 'LIST_VALUES|BANKS'));
}

$reports->addReportClass(_('Assets'), RC_ASSETS);
{
        if(isset($_POST['PARAM_2']) && $_POST['PARAM_2'] > 0){
            $_POST['ASSET_GROUPS'] = $_POST['PARAM_2'];
        }
	$reports->addReport(RC_ASSETS, 991450, _('Assets Master'),
	array(	_('Asset Type') => 'ASSET_TYPES',
                _('Asset Category') => 'ASSET_CATEGORIES',
                _('Asset Group') => 'ASSET_GROUPS',
                _('Asset Subroups') => 'ASSET_SUBGROUPS'));
        
        if(isset($_POST['PARAM_2']) && $_POST['PARAM_2'] > 0){
            $_POST['ASSET_GROUPS'] = $_POST['PARAM_2'];
        }
//	$reports->addReport(RC_ASSETS, 991451, _('Tools Master'),
//	array(	_('Tools Group') => 'ASSET_GROUPS',
//                _('Tools Subroups') => 'ASSET_SUBGROUPS',
//                _('Tools Categories') => 'ASSET_CATEGORIES'));
        
//        $reports->addReport(RC_ASSETS, 991454,_('Print Tools Request Note'),
//	array(	 _('Start Date') => 'DATEBEGINM',
//			_('End Date') => 'DATEENDM',
//            _('Material Req. No. From') => 'TEXT',
//            _('Material Req. No.  To') => 'TEXT',
//            _('Destination') => 'DESTINATION'));
//        
//        $reports->addReport(RC_ASSETS, 991452,_('Print Tools Issue Note'),
//	array(
//             _('Start Date') => 'DATEBEGINM',
//			_('End Date') => 'DATEENDM',
//            _('Material Issue. No. From') => 'TEXT',
//            _('Material Issue. No.  To') => 'TEXT',
//            _('Destination') => 'DESTINATION'));
//
//        $reports->addReport(RC_ASSETS, 991453,_('Print Tools Return Note'),
//	array(	
//             _('Start Date') => 'DATEBEGINM',
//            _('End Date') => 'DATEENDM',
//            _('Material Return. No. From') => 'TEXT',
//            _('Material Return No.  To') => 'TEXT',
//            _('Destination') => 'DESTINATION'));
        
//        $reports->addReport(RC_ASSETS, 991455,_('Tool Requests Report'),
//	array(	
//             _('Start Date') => 'DATEBEGINM',
//            _('End Date') => 'DATEENDM',
//            _('Department') => 'LIST_VALUES|DEPARTMENTS',
//            _('Project') => 'PROJECTS'));
//        
//        $reports->addReport(RC_ASSETS, 991456, _('Asset &Movements Report'),
//	array(	_('Start Date') => 'DATEBEGINM',
//			_('End Date') => 'DATEENDM',
//			_('Asset Location') => 'ASSET_LOCATIONS',  
//			_('Include Tool Issues') => 'YES_NO', 
//			_('Asset') => 'ASSET',
//			_('Project') => 'PROJECTS',
//			_('Destination') => 'DESTINATION'));	
//        
//        $reports->addReport(RC_ASSETS, 991457, _('Asset &Balances Report'),
//	array(	_('Start Date') => 'DATEBEGINM',
//			_('End Date') => 'DATEENDM',
//			_('Asset Location') => 'ASSET_LOCATIONS', 
//			_('Include Tool Issues') => 'YES_NO', 
//			_('Asset') => 'ASSET',
//			_('Project') => 'PROJECTS',
//			_('Destination') => 'DESTINATION'));	
        
//        $reports->addReport(RC_ASSETS, 991458, _('Asset &Valuation Report'),
//	array(	_('Start Date') => 'DATEBEGINM',
//			_('End Date') => 'DATEENDM',
//			_('Asset Location') => 'ASSET_LOCATIONS', 
//			_('Include Tool Issues') => 'YES_NO', 
//			_('Asset') => 'ASSET',
//			_('Project') => 'PROJECTS',
//			_('Destination') => 'DESTINATION'));
                
}

$reports->addReportClass(_('Admin'), RC_ADMIN);
{
    $reports->addReport(RC_ADMIN, 991053, _('Print Lists'),
	array(	_('Lists') => 'LISTS',
            _('Destination') => 'DESTINATION' ));
            
	$reports->addReport(RC_ADMIN, 999950, _('Custom Query Output'),
	array(	_('Report Name') => 'TEXT',
            _('SQL Query') => 'TEXTBOX',
            _('Destination') => 'DESTINATION'));
        
        $reports->addReport(RC_ADMIN, 999951, _('Users List Report'),
	array(	_('Inactive Users List') => 'YES_NO'
           ));
        $reports->addReport(RC_ADMIN, 999952, _('User Approvals'),
	array(	_('Approval Path') => 'APPROVAL_PATHS',
            _('Approval Group') => 'APPROVAL_GROUPS',
            _('Approval Group') => 'APPROVAL_GROUPS',
            _('User') => 'USERS',
            _('Destination') => 'DESTINATION'));
}

//add_custom_reports($reports);


$reports->addReportClass(_('Service'), RC_SERVICE);
{
    $reports->addReport(RC_SERVICE, 655, _('Job &Card Details'),
	array(	_('Job Card No') => 'TEXT'));
    
    $reports->addReport(RC_SERVICE, 657, _('&Daily Closed Jobs Report'),
	array(	_('From Date') => 'DATE',
                _('To Date') => 'DATE',
                _('Department') => 'LIST_VALUES|DEPARTMENTS', 
                _('Section') => 'SECTIONS_ALL'));
    
    $reports->addReport(RC_SERVICE, 658, _('Job &Card Details Print'),
	array(	_('Job Card No') => 'TEXT'));
}

echo $reports->getDisplay();

$path_to_root1 = "..";
//include_once($path_to_root1 . "/dimensions/reports/display_custom_reports.inc");
//include_once($path_to_root1 . "/dimensions/reports/custom_reports_db.inc");
//display_custom_reports($path_to_root,-1);  

end_page();
?>
